RESTinio

Public Types | Public Member Functions | List of all members
restinio::easy_parser::impl::to_lower_transformer_t< std::string > Struct Reference

An implementation of transformer that converts the content of the input std::string to lower case. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::to_lower_transformer_t< std::string >:

## Public Types
using | input_type = std::string
Public Types inherited from restinio::easy_parser::impl::transformer_tag< std::string >
using | result_type = std::string

## Public Member Functions
RESTINIO_NODISCARD result_type | transform (input_type &&input) const noexcept

## Additional Inherited Members
Static Public Attributes inherited from restinio::easy_parser::impl::transformer_tag< std::string >
static constexpr entity_type_t | entity_type

## Detailed Description

An implementation of transformer that converts the content of the input std::string to lower case.

Since
  v.0.6.1

Definition at line 3050 of file easy_parser.hpp.

## Member Typedef Documentation

## ◆ input_type

using restinio::easy_parser::impl::to_lower_transformer_t< std::string >::input_type = std::string

Definition at line 3053 of file easy_parser.hpp.

## Member Function Documentation

## ◆ transform()

RESTINIO_NODISCARD result_type restinio::easy_parser::impl::to_lower_transformer_t< std::string >::transform | ( | input_type && | input | ) | const
| inline noexcept

Definition at line 3057 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp